Update a Project - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update a Project
PATCH
/v2.0/projects/{projectId}
Try it
cURL
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/projects/{projectId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "New Project",
"color": "blue",
"handoverConfiguration": {
"setupLiveAgentInbox": true
}
}
'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}"
payload = {
"name": "New Project",
"color": "blue",
"handoverConfiguration": { "setupLiveAgentInbox": True }
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'New Project',
color: 'blue',
handoverConfiguration: {setupLiveAgentInbox: true}
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'New Project',
'color' => 'blue',
'handoverConfiguration' => [
'setupLiveAgentInbox' => true
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}"
payload := strings.NewReader("{\n \"name\": \"New Project\",\n \"color\": \"blue\",\n \"handoverConfiguration\": {\n \"setupLiveAgentInbox\": true\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Error Responses
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Authorizations
X-API-Key
- Type: string
- In: header
- Required: Supply the API Key in the HTTP-Header
Headers
- Accept: The
Acceptheader specifies the media type that the client expects in the response. Available options:application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
Path Parameters
- projectId: The unique identifier for the Project. Required string length:
24 - Pattern:
^[a-z0-9]{24}$
Body
name: The name of the Project.
Example:
"New Project"color:
Available options:
"blue", etc.handoverConfiguration:
Object: Show child attributes.
Response
- 201: Project successfully updated.
Last modified on July 8, 2026.